Subject: Re: bug#57201: 29.0.50; Input method doesn't work in Term char mode

From: Phil Sainty <[email-masked]>
Date: Mon, 15 Aug 2022 09:36:54 +1200

Akib Azmain Turja wrote:
> I don't think so.  How can you input characters not on the keyboard
> in Term char mode then?

It's emulating a terminal.  In char mode you can't input *keys* that
are not on the keyboard of the terminal being emulated.  That's the
point of the emulation -- it's behaving as if you were using a real
terminal rather than Emacs.

We can switch to line mode when we want to use Emacs features that are
not supported by the terminal.

> And if it's really expected, please add an user option to configure
> it.

A user option to configure... what?

Do you mean an option which would *allow* using input methods in char
mode?  As above, I don't believe that makes any sense as a concept,
so I don't see how that could work.

(Perhaps someone else will correct me, though.)